# Creates a new action for an automation of a project template.

POST https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/automations/{automationId}/actions

Creates an action for a specific automation of a project template including all its values. Actions cannot be added to automations created from a workflow.

<Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:write` permissions.</Check>

## Request example

```sh
curl -X POST --globoff 'https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/automations/{automationId}/actions' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  --data '{
  "type": "tag-add-task",
  "order": 1,
  "values": [
    {
      "name": "user",
      "value": {
        "id": "DD0AEEB4-5CF4-44CA-A8EA-ED70EDE016A4",
        "name": "Carla",
        "type": "user"
      }
    }
  ]
}'
```

- path parameter `projectTemplateId`: string (required). The id of the project template.

- path parameter `automationId`: string (required). The id of the automation.

## Request body (application/json)

- `type`: string (required)

- `order`: number or null

- `values`: array of object (required)

## Response 200

OK

application/json

```json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdOn": "2026-01-15T09:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2026-01-15T09:30:00Z",
  "type": "tag-add-task",
  "order": 2,
  "values": [
    {
      "name": "tag",
      "value": "Design"
    }
  ]
}
```

## Response 400

Bad Request

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
